## org.apache.fop.configuration
Class ConfigurationParser

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.fop.configuration.ConfigurationParser

public class ConfigurationParser
extends org.xml.sax.helpers.DefaultHandler

SAX2 Handler which retrieves the configuration information and stores them in Configuration. Normally this class doesn't need to be accessed directly.

Constructor Summary
`ConfigurationParser()`

Method Summary
`void` `characters(char[] ch, int start, int length)` extracts characters from text nodes and puts them into their respective variables
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` stores subentries or entries into their hashes (map for subentries, configuration for entry)
`void` `setDocumentLocator(org.xml.sax.Locator locator)` get locator for position information
`void` `startDocument()`
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` extracts the element and attribute name and sets the fitting status and datatype values

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationParser

    public ConfigurationParser()

Method Detail

### startDocument

    public void startDocument()

  Overrides:
    startDocument in class org.xml.sax.helpers.DefaultHandler

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  get locator for position information
  Overrides:
    setDocumentLocator in class org.xml.sax.helpers.DefaultHandler

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)

  extracts the element and attribute name and sets the fitting status and datatype values
  Overrides:
    startElement in class org.xml.sax.helpers.DefaultHandler

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)

  stores subentries or entries into their hashes (map for subentries, configuration for entry)
  Overrides:
    endElement in class org.xml.sax.helpers.DefaultHandler

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  extracts characters from text nodes and puts them into their respective variables
  Overrides:
    characters in class org.xml.sax.helpers.DefaultHandler

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.